Subject: Re: bug#51132: [External] : bug#51132: Make sure user is doubly aware of finished complilations

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Oct 2021 19:31:42 +0300

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>,
>         "[email-masked]"
> 	<[email-masked]>,
>         "[email-masked]" <[email-masked]>,
>         "[email-masked]" <[email-masked]>
> Date: Mon, 11 Oct 2021 16:21:02 +0000
> 
> > > > > A message is issued, and I think that's sufficient.  Closing.
> > > >
> > > > Note that you can customize compilation-finish-functions
> > > > to do all sorts of things; you can e.g. send a desktop 
> > > > notification:
> > >
> > > Fine.  But by default Emacs should generally pair
> > > notification of starting/continuing progress with
> > > notification of finishing - in the _same manner_,
> > > at a minimum.
> > 
> > It does.  PLEASE try this before you post.
> 
> PLEASE read what I wrote.  I replied to a claim
> that it's sufficient to issue a message, to end
> a mode-line in-progress message.

How is it useful to ask for something that already happens?  Even if
Lars didn't mention it?  It just adds noise.

> Whether there is in fact such a lack/bug is
> something else.

Please make a point of looking at the actual behavior before you join
a discussion.  If you want to help the discussion to be constructive.